{ pkgs ? import <nixpkgs> {} }:
pkgs.stdenv.mkDerivation rec {
  pname = "constructium";
  version = "2024-06-01";

  src = pkgs.fetchzip {
    url = "https://github.com/kreativekorp/open-relay/releases/download" +
          "/2024-06-01/Constructium.zip";
    hash = "sha256-W4MLyUq70igpN03557vS4s9nTTQC/2JT5ObA6ctj4wA=";
    stripRoot = false;
  };

  installPhase = ''
    dir=$out/share/fonts/opentype
    mkdir -p $dir
    cp ${src}/*.ttf $dir
  '';

  outputHashMode = "recursive";
  outputHash = "sha256-80pNO5RtEhPfOzHzbDu2046Fnn+rUyYIOEw2OkMWXeg=";

  meta = {
    homepage = "http://www.kreativekorp.com/software/fonts/constructium";
    description = "fork of Gentium with conlang support";
    longDescription = ''
      Constructium is a fork of SIL Gentium designed specifically to support
      constructed scripts as encoded in the
      [Under-ConScript Unicode Registry][ucsur].

      [ucsur]: https://www.kreativekorp.com/ucsur
    '';
    platforms = pkgs.lib.platforms.all;
  };
}
