{ pkgs ? import <nixpkgs> {} }:
pkgs.stdenv.mkDerivation rec {
  pname = "kreative-square";
  version = "2024-06-01";

  src = pkgs.fetchzip {
    url = "https://github.com/kreativekorp/open-relay/releases/download" +
          "/2024-06-01/KreativeSquare.zip";
    hash = "sha256-Ftr3/SWyUahNeX9d/Yddkltf9W4GIN3rXGLO6TTubSA=";
    stripRoot = false;
  };

  installPhase = ''
    dir=$out/share/fonts/opentype
    mkdir -p $dir
    cp ${src}/*.ttf $dir
  '';

  outputHashMode = "recursive";
  outputHash = "sha256-ZJ2cAYzCDL8VOhzBhzvoyCJSrHR6XkysLtZ3tUFb6mA=";

  meta = {
    homepage = "http://www.kreativekorp.com/software/fonts/ksquare";
    description = "fullwidth monospace font for pseudographics";
    longDescription = ''
      Kreative Square is a fullwidth scalable monospace font designed
      specifically to support pseudographics, semigraphics, and private use
      characters.
    '';
    platforms = pkgs.lib.platforms.all;
  };
}
