{ pkgs ? import <nixpkgs> {} }:
pkgs.stdenv.mkDerivation rec {
  pname   = "pragmatapro";
  version = "0.830";

  buildInputs = [ pkgs.woff2 pkgs.unzip ];
  src = pkgs.requireFile {
    name = "PPw-usp24.zip";
    url  = "https://fsd.it/shop/fonts/pragmatapro";
    hash = "sha256-9su/so8ylfIvuztqXCwApN5S4xs38ZzO9raQZDr9pzQ=";
  };

  sourceRoot = ".";

  installPhase = ''
    subdir="PragmataPro${version}W"
    for font in $subdir/*.woff2; do
      ${pkgs.woff2}/bin/woff2_decompress $font
    done
    mkdir -p $out/share/fonts/truetype
    cp $subdir/*.ttf $out/share/fonts/truetype
  '';
}
