{ pkgs ? import <nixpkgs> {} }:
pkgs.stdenv.mkDerivation rec {
  pname = "teranoptia";
  version = "0.2";

  src = pkgs.fetchzip {
    url = "https://gitlab.com/arielmartinperez/teranoptia/" +
          "-/archive/main/teranoptia-main.zip";
    hash = "sha256-kvjsf8Y98Fx5SPAQ2i/vJoSlJJLqcgt3pJHc8MkrG14=";
  };

  installPhase = ''
    dir=$out/share/fonts/opentype
    mkdir -p $dir
    cp ${src}/fonts/Teranoptia-Furiae.otf $dir
  '';

  outputHashMode = "recursive";
  outputHash = "sha256-L0h7+KDtY1reqvik6hGpVYl5pkbWRCpuJlU2VJyOWBU=";

  meta = {
    homepage = "https://www.tunera.xyz/fonts/teranoptia";
    description = "a font for making creatures";
    longDescription = ''
      Teranoptia is a typeface without letters, a peculiar contraption that
      allows you to imagine chimeric creatures just by typing letters with your
      keyboard. Its design has been inspired by the Bayeux Tapestry and by
      medieval illustrations, as well as by children's books. You can use it to
      create border ornaments, to daydream about monsters or just to spice your
      layouts with marginalia.
    '';
    platforms = pkgs.lib.platforms.all;
  };
}
